import React, { useRef, useState, useEffect } from 'react'
import { Row, Col, Space } from 'antd';
import { Form, Input, Button, Radio } from '@arco-design/web-react';
import * as $$ from '@/utils/utility';
import { useNavigate } from 'react-router-dom';

const RadioGroup = Radio.Group;
const FormItem = Form.Item;
const TextArea = Input.TextArea;

function submit(data) {
  return $$.ax.request({ url: `rmtj/batchFirstAudit`, type: 'post', service: 'mediate', data });
}


export default function ReviewExamine(props) {
  const navigate = useNavigate();
  const formRef = useRef();
  const [result, setResult] = useState()

  useEffect(() => {
  }, [])




  const handleSubmit = () => {
    if (formRef.current) {
      formRef.current.validate(undefined, (errors, values) => {
        if (!errors) {
          const data = formRef.current.getFields()
          requestSubmit({
            applyIdList: props.selectKeys,
            ...data
          })
        }
      })
    }
  }

  const requestSubmit = async (data) => {
    const res = await submit(data)
    if (res.type) {
      $$.infoSuccess({ content: '提交成功！' });
      props.onCancel()
    }
  }

  return (
    <div className='dataSync'>
      <Form
        ref={formRef}
        layout='vertical'
        requiredSymbol={false}
        initialValues={{
          auditResult: '1',
          auditResultName: '同意'
        }}//默认值
        scrollToFirstError
      >
        <Row>
          <Col span={24}>
            <div style={{ color: '#86909C' }}>批量审核数量</div>
            <div style={{margin: '8px 0 12px 0'}}>{props.selectKeys.length}</div>
          </Col>
          <Col span={24}>
            <FormItem
              label={(<div style={{ display: 'flex' }}>审核结果</div>)}
              field='auditResult'
            >
              <RadioGroup
                direction='vertical'
                options={[
                  {
                    label: '同意',
                    value: '1'
                  },
                  {
                    label: '不同意',
                    value: '2'
                  },
                ]}
                onChange={(value) => {
                  setResult(value)
                  if (value) {
                    const data = $$.options.auditResult.find(item => item.value === value)
                    formRef.current.setFieldValue('auditResultName', data.label)
                  } else {
                    formRef.current.setFieldValue('auditResultName', '')
                  }
                }}
              />
            </FormItem>
          </Col>
          {result === '2' &&
            <>
              <Col span={24}>
                <FormItem
                  label={(<div style={{ display: 'flex' }}>审核意见<div className="must">必填</div></div>)}
                  field='auditContent'
                  rules={[{ required: true, message: '审核意见不能为空' }]}
                >
                  <TextArea
                    autoSize={{ minRows: 4, maxRows: 8 }}
                    placeholder='请填写具体审核意见'
                  />
                </FormItem>
              </Col>
            </>
          }
        </Row>
      </Form>
      <div className='dialogFooter' style={{ margin: 0, background: '#fff' }}>
        <Button
          type="primary"
          className="dialogPrimary"
          onClick={handleSubmit}
        >
          提交
        </Button>
      </div>
    </div>
  )
}
